<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\BaseModel;

class FinancialTransaction extends BaseModel
{
    use HasFactory;

    protected $table = 'financial_transaction';

    public function user()
    {
        return $this->hasOne(User::class, 'id', 'user_id');
    }
    public function paymentMethod()
    {
        return $this->hasOne(PaymentMethod::class, 'id', 'payment_method_id');
    }
    public function storeOrder()
    {
        return $this->hasOne(StoreOrder::class, 'id', 'order_id');
    }
}
